SimpleIntDecoder (Lucene 3.6.2 API)
Keywords: org.apache.lucene.util.encoding.SimpleIntDecoder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util.encoding
Class SimpleIntDecoder

    java.lang.Object
      org.apache.lucene.util.encoding.IntDecoder
          org.apache.lucene.util.encoding.SimpleIntDecoder

    public class SimpleIntDecoder

extends IntDecoder

A simple stream decoder which can decode values encoded with `SimpleIntEncoder`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.util.encoding.IntDecoder
`EOS, in`

Constructor Summary
`SimpleIntDecoder()`

Method Summary
`long` | `decode()` Decodes data received from the input stream, and returns one decoded integer.
`String` | `toString()`

Methods inherited from class org.apache.lucene.util.encoding.IntDecoder
`reInit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleIntDecoder

    public SimpleIntDecoder()

Method Detail

### decode

    public long decode()
                throws IOException

  Description copied from class: `IntDecoder`
  Decodes data received from the input stream, and returns one decoded integer. If end of stream is reached, `IntDecoder.EOS` is returned.

  Specified by:
    `decode` in class `IntDecoder`
  Returns:
    one decoded integer as long or `IntDecoder.EOS` if end-of-stream reached.
  Throws:
    `IOException` - if an I/O error occurs

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD